#include <stdio.h>
#include <stdlib.h>

// see https://www.gnu.org/software/gsl/manual/html_node/Matrices.html
#include <gsl/gsl_matrix.h>

#include "wernerparams.h"
#include "werner.h"

int main(int argc, char** argv)
{
    // Allocate matrix Z: number of sand slabs
    gsl_matrix* Z = gsl_matrix_alloc(rows, cols);

    // Initialize with random values
    init_rnd_matrix(Z, 1.0, 10.0);

    // Add 100 sand slabs to each cell
    //gsl_matrix_add_constant(Z, 100.0);

    // Write matrix to stdout
    gsl_matrix_fprintf(stdout, Z, "%f");

    // End program
    gsl_matrix_free(Z);
    return 0;
}
