#include <stdio.h>
#include <stdlib.h>

// see https://www.gnu.org/software/gsl/manual/html_node/Matrices.html
#include <gsl/gsl_matrix.h>

#include "wernerparams.h"
#include "werner.h"

int main(int argc, char** argv)
{
    // check if the user specified the number of times to iterate
    int N_c = 1;    // Number of cycles, default value
    if (argc > 1)
        N_c = atoi(argv[1]);

    // Allocate matrix Z: number of sand slabs
    gsl_matrix* Z = gsl_matrix_alloc(rows, cols);

    // Read matrix from stdin
    FILE* fp = fopen("tmp.mat", "r");
    gsl_matrix_fscanf(fp, Z);
    //gsl_matrix_fscanf(stdin, Z);

    // Run N_c Werner iterations
    werner_loop(Z, N_c, d_l, p_ns, p_s);

    // Print result to stdout
    gsl_matrix_fprintf(stdout, Z, "%f");

    // End program
    gsl_matrix_free(Z);
    return 0;
}
