#!/usr/env gnuplot

# plot matrix file. Invoke with:
#   $ gnuplot -e "matrixfile='file.txt'" plotmatrix.gp

set terminal pngcairo
set output matrixfile.".png"

set size ratio -1

set title "Werner model for aeolian transport and deposition"
set xlabel "x"
set ylabel "y"
set cblabel "sand slabs"

# With interpolation
set pm3d map interpolate 0,0
set palette gray
splot matrixfile matrix

