#ifndef WERNER_H_
#define WERNER_H_

#include <stdio.h>
#include <stdlib.h>
#include <gsl/gsl_matrix.h>

void init_rnd_matrix(gsl_matrix* M, double low, double high);
void print_matrix(gsl_matrix* M);
void werner_iter(
        gsl_matrix* Z,  // matrix with sand slabs
        int d_l,        // wind transport distance
        double p_ns,    // likelihood of deposition in sand-free cell
        double p_s);    // likelihood of deposition in sand-covered cell
void werner_loop(
        gsl_matrix* Z,  // matrix with sand slabs
        long int N_c,   // number of iterations
        int d_l,        // wind transport distance
        double p_ns,    // likelihood of deposition in sand-free cell
        double p_s);    // likelihood of deposition in sand-covered cell
#endif
